
 LinHES - Feature # 699: Add myth recording extender to monitor sports events for overtime.

Status: Closed Priority: Normal
Author: goofee Category: Packages: Extra
Created: 05/28/2010 Assignee: cecil
Updated: 06/04/2010 Due date:
Description: mre monitors the espn scoreboard website to see if a sports event is finished or goes into over time.  It 

extends recordings untill FINAL is shown on the scoreboard.  Verified with myth.22 and NHL hockey.  
Changed event monitor to RSS feed hosted locally.

mre-1.1.2.pkgbuild.tar.gz
depends on 
PearDB-1.7.13.pkgbuild.tar.gz
PearLog-1.12.0.pkgbuilg.tar.gz

History
05/31/2010 06:29 pm - goofee
- File mre-1.1.2-2.pkgbuild.tar.gz added

Appears I sent the wrong pkgbuild info as that one is only updated for NHL events.  This one is updated for NHL, NBA, MLB, and NFL (untested). I 
tested the other ones.  (You don't have to wait for one to go into overtime, just set it to end a half hour early and see if it works. DUH) 

From the log file:
<pre>Sleeping for 5 minutes.
===============================
Sat, 29 May 2010 21:55:00 -0500

    Title: NHL Hockey
 Subtitle: Stanley Cup Final, Game 1: Philadelphia Flyers at Chicago Blackhawks
  Channel: 274
   Ending: 2010-05-29 22:00:00
Monitored: Yes (NHLEvent)
   Status: Event isn't over.  Recording extended.

Sleeping for 5 minutes.
===============================
Sat, 29 May 2010 22:00:00 -0500

    Title: NHL Hockey
 Subtitle: Stanley Cup Final, Game 1: Philadelphia Flyers at Chicago Blackhawks
  Channel: 274
   Ending: 2010-05-29 22:05:00
Monitored: Yes (NHLEvent)
   Status: Event is over.  Recording will stop within 60 seconds.

    Title: NBA Basketball
 Subtitle: Los Angeles Lakers at Phoenix Suns
  Channel: 278
   Ending: 2010-05-29 22:30:00
Monitored: Yes (NBAEvent)
   Status: Event isn't over.  Recording extended.
Sleeping for 5 minutes.
===============================
Sat, 29 May 2010 22:30:00 -0500

    Title: NBA Basketball
 Subtitle: Los Angeles Lakers at Phoenix Suns
  Channel: 278
   Ending: 2010-05-29 22:35:00
Monitored: Yes (NBAEvent)
   Status: Event is over.  Recording will stop within 60 seconds.

Sleeping for 5 minutes.
===============================
Sun, 30 May 2010 22:20:00 -0500

    Title: MLB Baseball
 Subtitle: Texas Rangers at Minnesota Twins
  Channel: 507
   Ending: 2010-05-30 22:25:00
Monitored: Yes (MLBEvent)
   Status: Event isn't over.  Recording extended.

Sleeping for 5 minutes.
===============================
Sun, 30 May 2010 22:25:00 -0500

    Title: MLB Baseball
 Subtitle: Texas Rangers at Minnesota Twins
  Channel: 507
   Ending: 2010-05-30 22:30:00
Monitored: Yes (MLBEvent)
   Status: Event is over.  Recording will stop within 60 seconds.</pre>

06/04/2010 01:59 am - cecil
- % Done changed from 0 to 100

- Target version set to 6.03.00

- Category set to Packages: Extra

- Assignee set to cecil

Added to "community".
@sudo pacman -Sy mre@

06/04/2010 02:00 am - cecil
- Status changed from New to Closed
Files
mre-1.1.2.pkgbuild.tar.gz 60.9 kB 05/28/2010 goofee
PearDB-1.7.13.pkgbuild.tar.gz 437 Bytes 05/28/2010 goofee
PearLog-1.12.0.pkgbuilg.tar.gz 458 Bytes 05/28/2010 goofee
mre-1.1.2-2.pkgbuild.tar.gz 61.7 kB 05/31/2010 goofee
